com.hazelcast.nio

## Class DefaultAggregateEndpointManager

- java.lang.Object
- - com.hazelcast.nio.DefaultAggregateEndpointManager

- All Implemented Interfaces:
    AggregateEndpointManager, ConnectionListenable

      public class DefaultAggregateEndpointManager
      extends Object
      implements AggregateEndpointManager

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultAggregateEndpointManager(ConcurrentMap<EndpointQualifier,EndpointManager<TcpIpConnection>> endpointManagers)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addConnectionListener(ConnectionListener listener)` Registers a ConnectionListener.
    `Set<TcpIpConnection>` | `getActiveConnections()`
    `Set<TcpIpConnection>` | `getConnections()`
    `EndpointManager<TcpIpConnection>` | `getEndpointManager(EndpointQualifier qualifier)`
    `com.hazelcast.internal.networking.nio.AdvancedNetworkStats` | `getInboundNetworkStats()` Gets network stats for incoming traffic.
    `com.hazelcast.internal.networking.nio.AdvancedNetworkStats` | `getOutboundNetworkStats()` Gets network stats for outgoing traffic.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultAggregateEndpointManager

          public DefaultAggregateEndpointManager(ConcurrentMap<EndpointQualifier,EndpointManager<TcpIpConnection>> endpointManagers)

  - ### Method Detail

    - #### getActiveConnections

          public Set<TcpIpConnection> getActiveConnections()

      Specified by:
        `getActiveConnections` in interface `AggregateEndpointManager`

    - #### getConnections

          public Set<TcpIpConnection> getConnections()

      Specified by:
        `getConnections` in interface `AggregateEndpointManager`

    - #### getEndpointManager

          public EndpointManager<TcpIpConnection> getEndpointManager(EndpointQualifier qualifier)

    - #### addConnectionListener

          public void addConnectionListener(ConnectionListener listener)

      Description copied from interface: `ConnectionListenable`
      Registers a ConnectionListener. If the same listener is registered multiple times, it will be notified multiple times.
      Specified by:
        `addConnectionListener` in interface `ConnectionListenable`
      Parameters:
        `listener` - the ConnectionListener to add.

    - #### getInboundNetworkStats

          public com.hazelcast.internal.networking.nio.AdvancedNetworkStats getInboundNetworkStats()

      Description copied from interface: `AggregateEndpointManager`
      Gets network stats for incoming traffic. Stats are available only when Advanced Networking is enabled.
      Specified by:
        `getInboundNetworkStats` in interface `AggregateEndpointManager`
      Returns:
        network stats for incoming traffic per-protocol or `null` if Advanced Networking is disabled

    - #### getOutboundNetworkStats

          public com.hazelcast.internal.networking.nio.AdvancedNetworkStats getOutboundNetworkStats()

      Description copied from interface: `AggregateEndpointManager`
      Gets network stats for outgoing traffic. Stats are available only when Advanced Networking is enabled.
      Specified by:
        `getOutboundNetworkStats` in interface `AggregateEndpointManager`
      Returns:
        network stats for outgoing traffic per-protocol or `null` if Advanced Networking is disabled

Copyright © 2019. All rights reserved.